ib_read_bw(1)

NAME
ib_read_bw - RDMA read bandwidth test

SYNOPSIS
ib_read_bw [ options ] [ server IP address ]

DESCRIPTION
This program tests the bandwidth of RMDA read transactions.

OPTIONS

-p, --port=<port>
    listen on/connect to port <port> (default: 18515)

-m, --mtu=<mtu>
    mtu size (default: 1024)

-d, --ib-dev=<dev>
    use IB device <dev> (default: first device found)

-i, --ib-port=<port>
    use port <port> of IB device (default: 1)

-s, --size=<size>
    size of message to exchange (default: 1)

-a, --all
    run sizes from 2 till 2^23

-t, --tx-depth=<dep>
    size of tx queue (default: 50)

-n, --iters=<iters>
    number of exchanges (at least 100, default: 1000)

-C, --report-cycles
    report times in cpu cycle units (default: microseconds)

-H, --report-histogram
    print out all results (default: print summary only)

-U, --report-unsorted
    (implies -H) print out unsorted results (default: sorted)

-V, --version
    display version number

AUTHOR

Guy Coates  < gmpc@sanger.ac.uk >